Skip to main content
POST
Token for a Contact
It is possible for financial institutions to get an access token on behalf of their clients by using the contact id of the client. This functionality is not available per default, you need to contact Ebury to enable it for each contact you need an access token for. This endpoint is only available using mTLS.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

Where credentials is a Base64 encoded string of auth_client_id:auth_client_secret

Path Parameters

contact_id
string
required

The id of the contact

Response

Listf of contacts IDs that are from the given client

Access token data

access_token
string

An OAuth access token that can be used to call the API

token_type
enum<string>

The Authorization header scheme to use when making requests, will be Bearer.

Available options:
Bearer
expires_in
string

Expiry period in seconds from time token returned, currently returns 3600 (1 hour).

id_token
string

A signed, base 64 encoded JSON Web Token that provides verification of the identity that authorized the request. The token includes the client identifier, which is a required parameter on the majority of API calls.